Bug 125673 - can't figure out how to remove bad passwords
can't figure out how to remove bad passwords
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 17:31 EDT by Stephen P. Schaefer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 03:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen P. Schaefer 2004-06-09 17:31:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I was trying to look at a windows share (SMB filesystem).  I saved a
bad password into the keyring.  From this point on, I don't get
prompted for a password, and I don't have access to that windows share
(window shares for which I entered the correct password work fine). 

Version-Release number of selected component (if applicable):
gnome-keyring-0.2.0-1

How reproducible:
Always

Steps to Reproduce:
1.Start Nautilus
2.Ctrl-L
3.Enter smb://smbservername/
4.When prompted, give a bad password
5.Save the bad password in the keyring

    

Actual Results:  Message box: The folder contents could not be
displayed.  Sorry, couldn't display all the contents of "Windows
Network: smbservername"


Expected Results:  Prompt to correct the password.  Alternatively,
make available a password editting tool.

Additional info:

I can probably fix this by removing
~/.gnome2/keyrings/default.keyring, but that's a nuisance w.r.t all
the correct passwords.
Comment 1 Alexander Larsson 2004-06-10 04:00:16 EDT
Yes, we're planning a management ui. However, it seems like a bug that
it doesn't give a password dialog if the saved password is wrong.
Comment 2 Alexander Larsson 2004-08-27 03:11:01 EDT
gnome-keyring-manager is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.